---
search:
  tags:
    - Project variables
    - GET
seo:
  description: >-
    Returns the variables set on the project, a page at a time. Reference for
    the GET /project/{project_id}/variable endpoint in the Platform API.
sidebar:
  label: List project variables
  badge: GET
title: List project variables
type: openapi-operation
---
Returns the variables set on the project, a page at a time.

`GET /project/{project_id}/variable`

**Responses**

- `200` — List of variables retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
      "visibility": "project",
      "var_type": "key_value",
      "key": "string",
      "is_secret": true,
      "managed": true,
      "value": "string",
      "file_path": "string",
      "component_kind": "Kjob",
      "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}
```
